apiVersion: batch/v1
kind: Job
metadata:
  name: {{ include "hifive.fullname" . }}-database-load
  labels:
{{ include "hifive.labels" . | indent 4 }}
  annotations:
    "helm.sh/hook": post-install
    "helm.sh/hook-delete-policy": hook-succeeded
spec:
  template:
    metadata:
      labels:
        app.kubernetes.io/name: {{ include "hifive.name" . }}
        app.kubernetes.io/instance: {{ .Release.Name }}
    spec:
      restartPolicy: Never
      containers:
      - name: postgres-restore
        image: registry.gitlab.com/ucsdlibrary/development/pg-manager:stable
        imagePullPolicy: Always
        command: ["/bin/sh", "/scripts/restore.sh"]
        env:
          - name: "BACKUP_FILE"
            value: "/tmp/highfive-restore.dmp"
          - name: "PGHOST"
            value: {{ template "hifive.postgresql.fullname" . }}
          - name: "PGPASSWORD"
            valueFrom:
              secretKeyRef:
                name: {{ template "hifive.secretName" . }}
                key: APPS_H5_DB_PW
          - name: "PGUSER"
            value: {{ .Values.postgresql.postgresqlUsername }}
          - name: "PGDATABASE"
            value: {{ .Values.postgresql.postgresqlDatabase }}
          - name: "AWS_ACCESS_KEY_ID"
            valueFrom:
              secretKeyRef:
                name: {{ template "hifive.secretName" . }}
                key: AWS_ACCESS_KEY_ID
          - name: "AWS_SECRET_ACCESS_KEY"
            valueFrom:
              secretKeyRef:
                name: {{ template "hifive.secretName" . }}
                key: AWS_SECRET_ACCESS_KEY
          - name: "ENDPOINT_URL"
            value: {{ .Values.loadDatabaseBackup.endpointUrl }}
          - name: "BUCKET"
            value: {{ .Values.loadDatabaseBackup.bucket }}
          - name: "BUCKET_KEY"
            value: {{ .Values.loadDatabaseBackup.bucketKey }}
